### Method

# Gdk Surface create_cairo_context

#### Declaration [src]

    GdkCairoContext*
    gdk_surface_create_cairo_context (
      GdkSurface* surface
    )

#### Description [src]

Creates a new `GdkCairoContext` for rendering on `surface`.

#### Return value

Returns: | `GdkCairoContext`
| The newly created `GdkCairoContext`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.